Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.publicinterface
Class DescriptorEvent

`java.lang.Object
java.util.EventObject
oracle.toplink.publicinterface.DescriptorEvent`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DescriptorEvent

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `DescriptorEvent`

public class DescriptorEvent
extends java.util.EventObject

Purpose: Encapsulate the information provided with descriptor events. This is used as the argument to any event raised by the descriptor. Events can be registered for through two methods, the first is by providing a method to be called on the object that a paticular operation is being performed on. The second is by registering a manager object to be notified when any event occurs for that descriptor. The second method is more similar to the java beans event model but requires the registered object to implement the DescriptorEventListener interface.

See Also:
  `DescriptorEventManager`, `DescriptorEventListener`, Serialized Form

Constructor Summary
`DescriptorEvent(int eventCode, ObjectLevelModifyQuery query)` Deprecated. PUBLIC: Most events are trigger from queries, so this is a helper method.
`DescriptorEvent(java.lang.Object sourceObject)` Deprecated. PUBLIC: All events require a source object.

Method Summary
`void` | `applyAttributeValuesIntoRow(java.lang.String attributeName)` Deprecated. PUBLIC: Re-populate the database row with the values from the source object based upon the attribute's mapping.
`ObjectChangeSet` | `getChangeSet()` Deprecated. PUBLIC: Returns the Object changeSet if available
`Descriptor` | `getDescriptor()` Deprecated. PUBLIC: The source descriptor of the event.
`int` | `getEventCode()` Deprecated. PUBLIC: The code of the descriptor event being raised.
`java.lang.Object` | `getObject()` Deprecated. PUBLIC: Synanym for source.
`java.lang.Object` | `getOriginalObject()` Deprecated. PUBLIC: The source object represents the object the event is being raised on, some events also require a second object, for example the original object in a postClone.
`DatabaseQuery` | `getQuery()` Deprecated. PUBLIC: The query causing the event.
`DatabaseRow` | `getRow()` Deprecated. since OracleAS TopLink 10g (10.1.3). This method is replaced by `DescriptorEvent.getRecord()`
`Session` | `getSession()` Deprecated. PUBLIC: The session in which the event is raised.
`void` | `updateAttributeAddObjectToCollection(java.lang.String attributeName, java.lang.Object mapKey, java.lang.Object value)` Deprecated. ADVANCED: Use this method when updating object attribute values, with unmapped objects Integer, String or others. in events to ensure that all required objects are updated.
`void` | `updateAttributeRemoveObjectFromCollection(java.lang.String attributeName, java.lang.Object mapKey, java.lang.Object value)` Deprecated. ADVANCED: Use this method when updating object attribute values, with unmapped objects Integer, String or others. in events to ensure that all required objects are updated.
`void` | `updateAttributeWithObject(java.lang.String attributeName, java.lang.Object value)` Deprecated. ADVANCED: Use this method when updating object attribute values, with unmapped objects Integer, String or others. in events to ensure that all required objects are updated.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescriptorEvent

    public DescriptorEvent(int eventCode,
                           ObjectLevelModifyQuery query)

  Deprecated.
  PUBLIC: Most events are trigger from queries, so this is a helper method.

### DescriptorEvent

    public DescriptorEvent(java.lang.Object sourceObject)

  Deprecated.
  PUBLIC: All events require a source object.

Method Detail

### applyAttributeValuesIntoRow

    public void applyAttributeValuesIntoRow(java.lang.String attributeName)

  Deprecated.
  PUBLIC: Re-populate the database row with the values from the source object based upon the attribute's mapping. Provided as a helper method for modifying the row during event handling.

### getChangeSet

    public ObjectChangeSet getChangeSet()

  Deprecated.
  PUBLIC: Returns the Object changeSet if available

### getDescriptor

    public Descriptor getDescriptor()

  Deprecated.
  PUBLIC: The source descriptor of the event.

### getEventCode

    public int getEventCode()

  Deprecated.
  PUBLIC: The code of the descriptor event being raised. This is an integer constant value from DescriptorEventManager.

### getObject

    public java.lang.Object getObject()

  Deprecated.
  PUBLIC: Synanym for source.

### getOriginalObject

    public java.lang.Object getOriginalObject()

  Deprecated.
  PUBLIC: The source object represents the object the event is being raised on, some events also require a second object, for example the original object in a postClone.
  See Also:
    `EventObject.getSource()`

### getQuery

    public DatabaseQuery getQuery()

  Deprecated.
  PUBLIC: The query causing the event.

### getRow

    public DatabaseRow getRow()

  Deprecated. since OracleAS TopLink 10g (10.1.3). This method is replaced by `DescriptorEvent.getRecord()`
  OBSOLETE: Optionally a database row may be provided on some events, (such as aboutToUpdate).

### getSession

    public Session getSession()

  Deprecated.
  PUBLIC: The session in which the event is raised.

### updateAttributeWithObject

    public void updateAttributeWithObject(java.lang.String attributeName,
                                          java.lang.Object value)

  Deprecated.
  ADVANCED: Use this method when updating object attribute values, with unmapped objects Integer, String or others. in events to ensure that all required objects are updated. TopLink will automaticaly update all objects and changesets envolved. TopLink will update the field, in the row, to have the new value for the field that this mapping maps to.

### updateAttributeAddObjectToCollection

    public void updateAttributeAddObjectToCollection(java.lang.String attributeName,
                                                     java.lang.Object mapKey,
                                                     java.lang.Object value)

  Deprecated.
  ADVANCED: Use this method when updating object attribute values, with unmapped objects Integer, String or others. in events to ensure that all required objects are updated. TopLink will automaticaly update all objects and changesets envolved. TopLink will update the field, in the row, to have the new value for the field that this mapping maps to. If the attribute being updated is within an aggregate then pass the updated aggregate and the attribute of the aggregate mapping into this method.

### updateAttributeRemoveObjectFromCollection

    public void updateAttributeRemoveObjectFromCollection(java.lang.String attributeName,
                                                          java.lang.Object mapKey,
                                                          java.lang.Object value)

  Deprecated.
  ADVANCED: Use this method when updating object attribute values, with unmapped objects Integer, String or others. in events to ensure that all required objects are updated. TopLink will automaticaly update all objects and changesets envolved. TopLink will update the field, in the row, to have the new value for the field that this mapping maps to.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD